Changeset 21517


Ignore:
Timestamp:
01/18/10 16:19:06 (11 years ago)
Author:
mdewsnip
Message:

Added AC_CONFIG_SUBDIRS lines for configuring the common-src and runtime-src directories automatically.

Location:
main/trunk/gs2-core
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • main/trunk/gs2-core/Makefile.in

    r21498 r21517  
    178178sbindir = @sbindir@
    179179sharedstatedir = @sharedstatedir@
     180subdirs = @subdirs@
    180181sysconfdir = @sysconfdir@
    181182target_alias = @target_alias@
  • main/trunk/gs2-core/configure

    r21474 r21517  
    274274PACKAGE_BUGREPORT='greenstone@cs.waikato.ac.nz'
    275275
    276 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS USE_SQLITE_TRUE USE_SQLITE_FALSE LIBOBJS LTLIBOBJS'
     276ac_subdirs_all="$ac_subdirs_all common-src"
     277ac_subdirs_all="$ac_subdirs_all runtime-src"
     278ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB build build_cpu build_vendor build_os host host_cpu host_vendor host_os COMPAT32BITFLAGS USE_SQLITE_TRUE USE_SQLITE_FALSE subdirs LIBOBJS LTLIBOBJS'
    277279ac_subst_files=''
    278280
     
    26902692fi
    26912693
     2694
     2695# Configure the common-src subdirectory
     2696if test -d "$srcdir/common-src"; then
     2697
     2698
     2699subdirs="$subdirs common-src"
     2700
     2701fi
     2702
     2703# Configure the runtime-src subdirectory
     2704if test -d "$srcdir/runtime-src"; then
     2705
     2706
     2707subdirs="$subdirs runtime-src"
     2708
     2709fi
    26922710
    26932711# Generate the Makefiles for this package
     
    33883406s,@USE_SQLITE_TRUE@,$USE_SQLITE_TRUE,;t t
    33893407s,@USE_SQLITE_FALSE@,$USE_SQLITE_FALSE,;t t
     3408s,@subdirs@,$subdirs,;t t
    33903409s,@LIBOBJS@,$LIBOBJS,;t t
    33913410s,@LTLIBOBJS@,$LTLIBOBJS,;t t
     
    41054124fi
    41064125
     4126#
     4127# CONFIG_SUBDIRS section.
     4128#
     4129if test "$no_recursion" != yes; then
     4130
     4131  # Remove --cache-file and --srcdir arguments so they do not pile up.
     4132  ac_sub_configure_args=
     4133  ac_prev=
     4134  for ac_arg in $ac_configure_args; do
     4135    if test -n "$ac_prev"; then
     4136      ac_prev=
     4137      continue
     4138    fi
     4139    case $ac_arg in
     4140    -cache-file | --cache-file | --cache-fil | --cache-fi \
     4141    | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
     4142      ac_prev=cache_file ;;
     4143    -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
     4144    | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* \
     4145    | --c=*)
     4146      ;;
     4147    --config-cache | -C)
     4148      ;;
     4149    -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
     4150      ac_prev=srcdir ;;
     4151    -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
     4152      ;;
     4153    -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
     4154      ac_prev=prefix ;;
     4155    -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
     4156      ;;
     4157    *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
     4158    esac
     4159  done
     4160
     4161  # Always prepend --prefix to ensure using the same prefix
     4162  # in subdir configurations.
     4163  ac_sub_configure_args="--prefix=$prefix $ac_sub_configure_args"
     4164
     4165  ac_popdir=`pwd`
     4166  for ac_dir in : $subdirs; do test "x$ac_dir" = x: && continue
     4167
     4168    # Do not complain, so a configure script can configure whichever
     4169    # parts of a large source tree are present.
     4170    test -d $srcdir/$ac_dir || continue
     4171
     4172    { echo "$as_me:$LINENO: configuring in $ac_dir" >&5
     4173echo "$as_me: configuring in $ac_dir" >&6;}
     4174    { if $as_mkdir_p; then
     4175    mkdir -p "$ac_dir"
     4176  else
     4177    as_dir="$ac_dir"
     4178    as_dirs=
     4179    while test ! -d "$as_dir"; do
     4180      as_dirs="$as_dir $as_dirs"
     4181      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     4182$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     4183     X"$as_dir" : 'X\(//\)[^/]' \| \
     4184     X"$as_dir" : 'X\(//\)$' \| \
     4185     X"$as_dir" : 'X\(/\)' \| \
     4186     .     : '\(.\)' 2>/dev/null ||
     4187echo X"$as_dir" |
     4188    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     4189      /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     4190      /^X\(\/\/\)$/{ s//\1/; q; }
     4191      /^X\(\/\).*/{ s//\1/; q; }
     4192      s/.*/./; q'`
     4193    done
     4194    test ! -n "$as_dirs" || mkdir $as_dirs
     4195  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
     4196echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
     4197   { (exit 1); exit 1; }; }; }
     4198
     4199    ac_builddir=.
     4200
     4201if test "$ac_dir" != .; then
     4202  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
     4203  # A "../" for each directory in $ac_dir_suffix.
     4204  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
     4205else
     4206  ac_dir_suffix= ac_top_builddir=
     4207fi
     4208
     4209case $srcdir in
     4210  .)  # No --srcdir option.  We are building in place.
     4211    ac_srcdir=.
     4212    if test -z "$ac_top_builddir"; then
     4213       ac_top_srcdir=.
     4214    else
     4215       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
     4216    fi ;;
     4217  [\\/]* | ?:[\\/]* )  # Absolute path.
     4218    ac_srcdir=$srcdir$ac_dir_suffix;
     4219    ac_top_srcdir=$srcdir ;;
     4220  *) # Relative path.
     4221    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
     4222    ac_top_srcdir=$ac_top_builddir$srcdir ;;
     4223esac
     4224
     4225# Do not use `cd foo && pwd` to compute absolute paths, because
     4226# the directories may not exist.
     4227case `pwd` in
     4228.) ac_abs_builddir="$ac_dir";;
     4229*)
     4230  case "$ac_dir" in
     4231  .) ac_abs_builddir=`pwd`;;
     4232  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
     4233  *) ac_abs_builddir=`pwd`/"$ac_dir";;
     4234  esac;;
     4235esac
     4236case $ac_abs_builddir in
     4237.) ac_abs_top_builddir=${ac_top_builddir}.;;
     4238*)
     4239  case ${ac_top_builddir}. in
     4240  .) ac_abs_top_builddir=$ac_abs_builddir;;
     4241  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
     4242  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
     4243  esac;;
     4244esac
     4245case $ac_abs_builddir in
     4246.) ac_abs_srcdir=$ac_srcdir;;
     4247*)
     4248  case $ac_srcdir in
     4249  .) ac_abs_srcdir=$ac_abs_builddir;;
     4250  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
     4251  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
     4252  esac;;
     4253esac
     4254case $ac_abs_builddir in
     4255.) ac_abs_top_srcdir=$ac_top_srcdir;;
     4256*)
     4257  case $ac_top_srcdir in
     4258  .) ac_abs_top_srcdir=$ac_abs_builddir;;
     4259  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
     4260  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
     4261  esac;;
     4262esac
     4263
     4264
     4265    cd $ac_dir
     4266
     4267    # Check for guested configure; otherwise get Cygnus style configure.
     4268    if test -f $ac_srcdir/configure.gnu; then
     4269      ac_sub_configure="$SHELL '$ac_srcdir/configure.gnu'"
     4270    elif test -f $ac_srcdir/configure; then
     4271      ac_sub_configure="$SHELL '$ac_srcdir/configure'"
     4272    elif test -f $ac_srcdir/configure.in; then
     4273      ac_sub_configure=$ac_configure
     4274    else
     4275      { echo "$as_me:$LINENO: WARNING: no configuration information is in $ac_dir" >&5
     4276echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2;}
     4277      ac_sub_configure=
     4278    fi
     4279
     4280    # The recursion is here.
     4281    if test -n "$ac_sub_configure"; then
     4282      # Make the cache file name correct relative to the subdirectory.
     4283      case $cache_file in
     4284      [\\/]* | ?:[\\/]* ) ac_sub_cache_file=$cache_file ;;
     4285      *) # Relative path.
     4286    ac_sub_cache_file=$ac_top_builddir$cache_file ;;
     4287      esac
     4288
     4289      { echo "$as_me:$LINENO: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&5
     4290echo "$as_me: running $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir" >&6;}
     4291      # The eval makes quoting arguments work.
     4292      eval $ac_sub_configure $ac_sub_configure_args \
     4293       --cache-file=$ac_sub_cache_file --srcdir=$ac_srcdir ||
     4294    { { echo "$as_me:$LINENO: error: $ac_sub_configure failed for $ac_dir" >&5
     4295echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
     4296   { (exit 1); exit 1; }; }
     4297    fi
     4298
     4299    cd $ac_popdir
     4300  done
     4301fi
     4302
  • main/trunk/gs2-core/configure.ac

    r21474 r21517  
    5757AM_CONDITIONAL(USE_SQLITE, test "$USE_SQLITE" = 1)
    5858
     59# Configure the common-src subdirectory
     60if test -d "$srcdir/common-src"; then
     61  AC_CONFIG_SUBDIRS([common-src])
     62fi
     63
     64# Configure the runtime-src subdirectory
     65if test -d "$srcdir/runtime-src"; then
     66  AC_CONFIG_SUBDIRS([runtime-src])
     67fi
     68
    5969# Generate the Makefiles for this package
    6070AC_OUTPUT(Makefile)
Note: See TracChangeset for help on using the changeset viewer.